#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "gtkgui.h"
 
void on_robot_cat_gui_destroy(GtkObject *object, gpointer user_data)
{
	/*
	Since main destroys it, it makes sense that we don't need to destroy it here.
	If I'm wrong, uncomment this code.
	if(cat1)
	{
		RobotCat_destroy(cat1);
	}*/
	gtk_main_quit();
}


void on_update_clicked(GtkButton *button, gpointer user_data)
{
	if(cat1)
	{
		RobotCat_update(cat1);
	}

}

void on_input_sleep_clicked(GtkButton *button, gpointer user_data)
{
	RobotCat_input(cat1, sleep, 1);
}
 
void on_input_food_clicked(GtkButton *button, gpointer user_data)
{
	RobotCat_input(cat1, food, 1);
}


void on_room_overview_realize (GtkWidget *widget, gpointer user_data)
{

}


gboolean on_room_overview_expose_event (GtkWidget *widget, 
	GdkEventExpose  *event, gpointer user_data)
{
	gdk_draw_arc (widget->window,
		widget->style->fg_gc[GTK_WIDGET_STATE (widget)],
		TRUE,
		0, 0, widget->allocation.width, widget->allocation.height,
		0, 64 * 360);
	return TRUE;
}
